
#language: ru

@pricing

Функционал: 008. Pricing. Фиксация скидок, наценок

Сценарий: 008.1. Pricing. Фиксация скидок, наценок
	
	Дано Я подключаюсь под "Ценообразование"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.008. Цены"
	Дано я удаляю объекты "Документы.к2СкидкаНаценка" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Скидки (наценки)'
	Тогда открылось окно 'Скидки (наценки)'
	И Я начинаю создавать скидку "Скидка для Обычного покупателя на Адыгейский сыр"
	И я нажимаю кнопку выбора у поля "Действует"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '1.08.2019'
	И в поле 'DateEnd' я ввожу текст '31.08.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я меняю значение переключателя 'Тип' на 'Процентом на номенклатуру'
	И из выпадающего списка "Согласование" я выбираю точное значение 'Согласован'
	И Я подбираю соглашение "Соглашение для Обычного покупателя" в статусе "Действует"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыПодобратьНоменклатуру'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'   | 
		| 'Сыр Адыгейский' |
	И в таблице "Товары" в поле с именем 'ТоварыПроцентСкидки' я ввожу текст '3,33'	
	И Я заканчиваю создавать скидку
	И Я начинаю создавать скидку "Скидка для Обычного покупателя на категорию сыров"
	И я нажимаю кнопку выбора у поля "Действует"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '1.08.2019'
	И в поле 'DateEnd' я ввожу текст '31.08.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я меняю значение переключателя 'Тип' на 'Процентом на товарную категорию'
	И из выпадающего списка "Согласование" я выбираю точное значение 'Согласован'
	И Я подбираю соглашение "Соглашение для Обычного покупателя" в статусе "Действует"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я перехожу к закладке "Товарные категории"
	И Я устанавливаю процент скидки "2,59" на товарную категорию "Мягкие сыры"
	И Я устанавливаю процент скидки "2,59" на товарную категорию "Твердые сыры"
	И Я устанавливаю процент скидки "2,59" на товарную категорию "Полутвердые сыры"
	И Я заканчиваю создавать скидку
	И Я начинаю создавать скидку "Скидка для Обычного покупателя на Костромской сыр"
	И я нажимаю кнопку выбора у поля "Действует"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '1.08.2019'
	И в поле 'DateEnd' я ввожу текст '31.08.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я меняю значение переключателя 'Тип' на 'Фиксированная цена'
	И из выпадающего списка "Согласование" я выбираю точное значение 'Согласован'
	И Я подбираю соглашение "Соглашение для Обычного покупателя" в статусе "Действует"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыПодобратьНоменклатуру'
	Тогда открылось окно 'Подбор номенклатуры'
	И Я подбираю номенклатуру "Сыр Костромской"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    | 
		| 'Сыр Костромской' | 
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '40,00'
	И в таблице "Товары" я завершаю редактирование строки
	И Я заканчиваю создавать скидку
	И Я начинаю создавать скидку "Скидка для Обычного покупателя на категорию сыров (июль)"
	И я нажимаю кнопку выбора у поля "Действует"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '1.07.2019'
	И в поле 'DateEnd' я ввожу текст '31.07.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я меняю значение переключателя 'Тип' на 'Процентом на товарную категорию'
	И из выпадающего списка "Согласование" я выбираю точное значение 'Согласован'
	И Я подбираю соглашение "Соглашение для Обычного покупателя" в статусе "Действует"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я перехожу к закладке "Товарные категории"
	И Я устанавливаю процент скидки "90" на товарную категорию "Мягкие сыры"
	И Я устанавливаю процент скидки "90" на товарную категорию "Твердые сыры"
	И Я устанавливаю процент скидки "90" на товарную категорию "Полутвердые сыры"
	И Я заканчиваю создавать скидку
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                                     | 
		| 'Скидка для Обычного покупателя на Адыгейский сыр' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	И я нажимаю кнопку выбора у поля "Действует"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '19.08.2019'
	И в поле 'DateEnd' я ввожу текст '31.08.2019'
	И я нажимаю на кнопку 'Выбрать'
	И из выпадающего списка "Согласование" я выбираю точное значение 'Согласован'
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Товары" я активизирую поле с именем "ТоварыПроцентСкидки"
	И в таблице "Товары" в поле с именем 'ТоварыПроцентСкидки' я ввожу текст '13,33'
	И Я заканчиваю создавать скидку
	И Я начинаю создавать скидку "Скидка для Поставщика на Сыр Адыгейский"
	И я нажимаю кнопку выбора у поля "Действует"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '1.11.2019'
	И в поле 'DateEnd' я ввожу текст '30.11.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я меняю значение переключателя 'Тип' на 'Процентом на номенклатуру'
	И из выпадающего списка "Согласование" я выбираю точное значение 'Согласован'
	И Я подбираю соглашение "Соглашение с поставщиком - на дату отгрузки" в статусе "Действует"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыПодобратьНоменклатуру'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'   | 
		| 'Сыр Адыгейский' |
	И в таблице "Товары" в поле с именем 'ТоварыПроцентСкидки' я ввожу текст '25'
	И Я заканчиваю создавать скидку
	И Я закрываю окно 'Скидки (наценки)'

Сценарий: 008.2. Pricing. Завершение

	И Я закрыл все окна клиентского приложения